#
# spec file for package shared-mime-info (Version 0.20)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           shared-mime-info
BuildRequires:  glib2-devel intltool libxml2-devel perl-XML-Parser
Version:        0.20
Release:        1
URL:            http://freedesktop.org/wiki/Software/shared-mime-info
Group:          System/X11/Utilities
License:        GNU General Public License (GPL)
Summary:        Shared MIME Database
Source:         %{name}-%{version}.tar.bz2
Source1:        mime-info-to-mime
Patch:          shared-mime-info-ufraw.patch
Autoreqprov:    on
# needed by mime-info-to-mime:
Requires:       /bin/rm /bin/mkdir /usr/bin/fgrep
# needed by update-mime-database
PreReq:         libxml2 glib2
Provides:       %{name}-devel = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains: - The freedesktop.org shared MIME database
   spec.

- The merged GNOME and KDE databases, in the new format.

- The update-mime-database command, used to install new MIME data.



Authors:
--------
    Thomas Leonard <tal00r@ecs.soton.ac.uk>

%prep
%setup -q
%patch

%build
autoreconf -f -i
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
install %{S:1} $RPM_BUILD_ROOT%{_bindir}/
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
usr/bin/update-mime-database usr/share/mime >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/pkgconfig/*.pc
%ghost %{_datadir}/mime/[a-ms-vX]*
%{_mandir}/man?/*.*

%changelog
* Mon Feb 19 2007 - sbrabec@suse.cz
- Updated to version 0.20:
  * Many new MIME types added (see NEWS for complete list).
  * Move *.ram files to application/ram
  * Use the preferred Matroska mime-types, includes Matroska audio
  * Detect Makefile with a shebang at the start
  * Make DIA a sub-class of application/xml
  * Clean up PGP/GnuPG file types
  * Avoid misdetecting Java files as C files
  * Merge the application/vnd.palm and application/x-palm-database
  mime-types
  * Make mbox as a sub-class of text/plain
  * Remove bogus magic for Targa files
  * Clean up XSLT mime-types depending on version
  * Move compressed SVG files to image/svg+xml-compressed
  * Move compressed pcf (font) detection to application/x-font-pcf
  * Fix CPIO description
  * Don't abort when update-mime-database can't open a file
  * Move the pkgconfig file to $(datadir)
  * Skip the translation of update-mime-database.c
  * Have a quiet output to update-mime-database by default
- Updated RAW patch from Freedesktop#8170.
* Mon Jan 08 2007 - sbrabec@suse.cz
- Spec file cleanup.
* Wed Jan 03 2007 - sbrabec@suse.cz
- Use /usr/share/mime-info in mime-info-to-mime.
* Tue Nov 14 2006 - sbrabec@suse.cz
- Reduced BuildRequires.
* Mon Oct 30 2006 - sbrabec@suse.cz
- Updated and fixed camera raw MIME types (freedesktop#8170).
* Thu Sep 14 2006 - sbrabec@suse.cz
- Fixed camera raw MIME types (freedesktop#4117).
* Fri Sep 08 2006 - sbrabec@suse.cz
- Updated to version 0.19:
  * Add *.qtl to video/quicktime
  * Add *.wax to audio/x-ms-asx
  * Add *.mpga to audio/mpeg
  * Add audio/x-ms-wma (Windows Media Audio)
  * Add application/xspf+xml (XSPF playlist)
  * Add a lot of subclassing information
  * Fix the RSS mime-types
  * Fix *.asx files' mime-type
  * Avoid audio/x-ms-asx files being detected as HTML
  * Avoid application/pdf files being detected as Matlab documents
  * Clarify C, C++, C# and ObjC mime-types
  * Add application/powerpoint and application/mspowerpoint as aliases for
  Powerpoint
  * Add VHDL mime-type
  * Add application/mbox for the MBOX mailboxes
  * Add text/x-txt2tags
  * Remove *.dat as a glob for MPEG videos
  * Add Monkey's Audio, AC3, and Musepack mime-types
  * Fix matching Type1 fonts
  * Remove useless application/octet-stream mime-type
  * Add *.mo to application/x-gettext-translation
  * Add loads of tracker audio files, console ROMs, raw images mime-types
  * Fix QuickTime Media Links mime-types and detection
  * Add audio/AMR and audio/AMR-WB mime-types and detection
  * Add better TeX magic, and more globs
  * Add better magic for patch files
  * Fix .jar files' mime-types, and add better magic
  * Fix magic for MPEG4 audio files
  * Add an alias for .deb packages
  * Add application/sieve mime-type
  * Fix application/javascript's mime-type
  * Fix text/csv's mime-type
  * Add paths to the .pc file
  * Translation update
- Removed from gnome-patch-translation project, all strings are
  upstreamed.
* Tue Apr 25 2006 - sbrabec@suse.cz
- Fixed C* source code MIME type conflicts (#168763).
* Wed Mar 15 2006 - sbrabec@suse.cz
- Updated to a 0.17 release.
- Use sub-class-of instead of alias for wma and wmv (156207#c10).
- Support for gnome-patch-translation.
* Thu Mar 09 2006 - jpr@suse.de
- Update to cvs version to be more fine grained about wma, wmv, and
  ogg (#156210 and #156207)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 08 2005 - sbrabec@suse.cz
- Directories /usr/share/mime and /usr/share/mime/packages are now
  owned by filesystem.
* Mon Sep 12 2005 - clahey@suse.de
- Add docbook mime info entry (116605).
* Tue Mar 29 2005 - sbrabec@suse.cz
- Fixed WMV files and typos.
  http://bugs.freedesktop.org/show_bug.cgi?id=2051
- Added missing Danish from CVS.
* Tue Mar 29 2005 - sbrabec@suse.cz
- Updated to version 0.16.
* Mon Mar 21 2005 - sbrabec@suse.cz
- Updated to CVS version (#72797).
* Mon Feb 21 2005 - sbrabec@suse.cz
- Updated to version 0.15.
* Tue Oct 19 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Sep 20 2004 - ro@suse.de
- added missing prereq for update-mime-database
  which is called in postinstall
* Thu Sep 09 2004 - sbrabec@suse.cz
- Fixed execute flag for mime-info-to-mime.
* Tue Sep 07 2004 - sbrabec@suse.cz
- Added script mime-info-to-mime for conversion of GNOME mime-info to
  shared-mime-info.
* Mon May 17 2004 - sbrabec@suse.cz
- New SuSE package, version 0.14.
